# $Revision: 1.9 $, $Date: 2008/11/23 11:43:37 $
#
%define		nameprog ql2400

Summary:	Firmware for the QLogic %{nameprog} HBA
Summary(pl.UTF-8):	Firmware dla HBA QLogic %{nameprog}
Name:		%{nameprog}-firmware
Version:	4.04.05
Release:	2
License:	distributable
Group:		Base/Kernel
Source0:	ftp://ftp.qlogic.com/outgoing/linux/firmware/%{nameprog}_fw.bin
# Source0-md5:	9a6fafbb4325fdd6784a9a1a5505a415
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the firmware for the QLogic %{nameprog} driver.

%description -l pl.UTF-8
Ten pakiet zawiera firmware dla sterownika QLogic %{nameprog}.

%prep
%setup -q -c -T

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware

install %{SOURCE0} $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
/lib/firmware/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ql2400-firmware.spec,v $
Revision 1.9  2008/11/23 11:43:37  arekm
- rel 2; really use new fw

Revision 1.8  2008/11/23 11:42:37  arekm
- up to 4.04.05

Revision 1.7  2008-04-24 06:58:51  arekm
- up to 4.04.00

Revision 1.6  2008-01-22 14:00:33  arekm
- up to 4.03.00

Revision 1.5  2007/04/18 16:49:38  zawadaa
- up to 4.00.27

Revision 1.4  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.2  2006/08/20 14:15:26  qboosh
- pl

Revision 1.1  2006/08/14 08:24:32  arekm
- QLogic firmwares; redistibutable
